# Class: Delete

Defined in: | lib/Types/BasicTypes.coffee
Inherits: | Operation

## Overview

A simple Delete-type operation that deletes an Insert-type operation.

## Instance Method Summary

- # (void) _encode() Private Convert all relevant information of this operation to the json-format.
- # (void) execute() Private Apply the deletion.

## Inherited Method Summary

### Methods inherited from Operation

#on #callEvent #setParent #getUid #execute #saveOperation #validateSavedOperations

## Constructor Details

# (void) constructor(uid, deletes)

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.
- deletes ( `Object` ) — UID or reference of the operation that this to be deleted.

## Instance Method Details

# (void) _encode() Private

Convert all relevant information of this operation to the json-format. This result can be sent to other clients.

# (void) execute() Private

Apply the deletion.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input